"GesagtGetan.Basic:NotInMenu":
  abstract: true
  properties:
    _hiddenInIndex:
      ui:
        inspector:
          group: hidden

"GesagtGetan.Basic:HideSeo":
  abstract: true
  superTypes:
    "Neos.Seo:TitleTagMixin": false
    "Neos.Seo:SeoMetaTagsMixin": false
    "Neos.Seo:TwitterCardMixin": false
    "Neos.Seo:CanonicalLinkMixin": false
    "Neos.Seo:OpenGraphMixin": false
    "Neos.Seo:XmlSitemapMixin": false

"GesagtGetan.Basic:FrontendRedirectToParentPage":
  abstract: true
  search:
    fulltext:
      enable: false
  superTypes:
    "GesagtGetan.Basic:NotInMenu": true
    "GesagtGetan.Basic:HideSeo": true
    "Neos.Seo:NoindexMixin": true

"GesagtGetan.Basic:FrontendRedirectToFirstChildPage":
  abstract: true
  search:
    fulltext:
      enable: false
  superTypes:
    "GesagtGetan.Basic:NotInMenu": true
    "GesagtGetan.Basic:HideSeo": true
    "Neos.Seo:NoindexMixin": true
